Subject: bug#64102: 28.2; fails to find pathname with a sub dir as symlink and with parent dir ('..')

From: Paul Eggert <[email-masked]>
Date: Sun, 18 Jun 2023 11:43:45 -0700

On 2023-06-18 11:25, Eli Zaretskii wrote:
>> One possible way out would be to add a user-settable flag to select the
>> longstanding Emacs behavior, or the behavior of most other programs. We
>> could document that the default might change in the future. Of course
>> this approach would have its own problems.
> Before we consider how to trigger the new behavior, would you please
> describe what kind of changes will be needed for implementing it?

That'd be a lot of work, and I'm a bit pressed for time unfortunately. 
Perhaps someone who has more time (or cares more about the issue) could 
carry this torch.